/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34959A.h"

/// <summary>
/// Closes the specified channels on a multiplexer or switch module.
/// </summary>
/// <remarks>
/// 
/// </remarks>
/// <returns>
///	
/// </returns>
/// <param name="ChannelList">
///	One or more channels in the form sccc.
/// </param>
HRESULT Agilent34959A::IAgilent34959ARoute_Close(BSTR ChannelList)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}

/// <summary>
/// Opens the specified channels on a multiplexer or switch module.
/// </summary>
/// <remarks>
/// 
/// </remarks>
/// <returns>
///	
/// </returns>
/// <param name="ChannelList">
///	One or more channels in the form sccc.
/// </param>
HRESULT Agilent34959A::IAgilent34959ARoute_Open(BSTR ChannelList)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}

/// <summary>
/// Opens all channels on the specified slot (module).
/// </summary>
/// <remarks>
/// 
/// </remarks>
/// <returns>
///	
/// </returns>
/// <param name="Slot">
///	Number of the slot (1-8).
/// </param>
HRESULT Agilent34959A::IAgilent34959ARoute_OpenAll(long Slot)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}



/// <summary>
///	Returns the state of specified channel.
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="Channel">
///	Channel number.
/// </param>
HRESULT Agilent34959A::IAgilent34959ARoute_get_IsClosed(BSTR Channel, VARIANT_BOOL* val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommandBool(val);

	return hr;
}
